package com.bocloud.cmp.model.h3c;

public class H3cMonitorStrategyModel {
    /**
     * 监控策略名称。
     * 字符串（String）类型。
     */
    private String name;
    /**
     * 描述信息;。
     * 字符串（String）类型。
     */
    private String description;
    /**
     * 条件关系;。
     * 整数（int）类型
     */
    private Integer conditionRelation;
    /**
     * 字段名称;。
     * 字符串（String）类型。
     */
    private String fieldName;
    /**
     * 比较符号;。
     * 字符串（String）类型。
     */
    private String comparison;
    /**
     * 阈值;。
     * 整数（int）类型。
     */
    private Integer threshold;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Integer getConditionRelation() {
        return conditionRelation;
    }

    public void setConditionRelation(Integer conditionRelation) {
        this.conditionRelation = conditionRelation;
    }

    public String getFieldName() {
        return fieldName;
    }

    public void setFieldName(String fieldName) {
        this.fieldName = fieldName;
    }

    public String getComparison() {
        return comparison;
    }

    public void setComparison(String comparison) {
        this.comparison = comparison;
    }

    public Integer getThreshold() {
        return threshold;
    }

    public void setThreshold(Integer threshold) {
        this.threshold = threshold;
    }
}
